1. CrackBerry Question's Avatar
    I have a BB7920 I wanted to use on BES. Will it still work?
    07-04-14 04:33 PM
  2. thurask's Avatar
    Any legacy BB device requires either BES5 or BES12 (which isn't out yet).
    07-04-14 05:56 PM

Similar Threads

  1. I hope the Passport comes with all the following features...
    By imcurved in forum BlackBerry Passport
    Replies: 39
    Last Post: 07-31-14, 04:21 AM
  2. Facebook on BB10
    By stevewoodrow11 in forum BlackBerry 10 Apps
    Replies: 11
    Last Post: 07-13-14, 02:53 AM
  3. Can anyone access the escreen on 10.3.700?
    By BlackberryFan777 in forum BB10 Leaked/Beta OS
    Replies: 2
    Last Post: 07-09-14, 08:04 PM
  4. Where I can find AutoTrader.com or cars.com apps?
    By rowagent2550 in forum Ask a Question
    Replies: 4
    Last Post: 07-04-14, 04:22 PM
  5. In defense of the Keep Moving Projects campaign...
    By Buddhacide in forum General BlackBerry Discussion
    Replies: 1
    Last Post: 07-04-14, 02:13 PM
LINK TO POST COPIED TO CLIPBOARD